com.rscja.team.qcom.custom

## Class UHFCSYX_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom
    - - com.rscja.team.qcom.custom.UHFCSYX_qcom

- All Implemented Interfaces:
    IUHFCSYX, IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart

      public class UHFCSYX_qcom
      extends RFIDWithUHFUART_qcom
      implements IUHFCSYX

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` 关闭UHF模块 Switch off UHF module
    `static UHFCSYX_qcom` | `getInstance()`
    `UHFCSYX.TagAuthenticationResponseInfo` | `inventorySingleTagResponseInfo()`
    `UHFCSYX.TagAuthenticationResponseInfo` | `readAuthenticationTagFromBuffer(UHFTAGInfo uhftagInfo)`
    `void` | `setInventoryCallback(UHFCSYX.IUHFInventoryCallback inventoryCallback)`
    `boolean` | `setInventoryMessageMode()`
    `boolean` | `startInventoryTag()` 开始循环识别标签。
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getEPCAndTIDUserModeEx, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCAndTIDUserModeEx, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setGen2, setInventoryCallback, setLBTMode, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startLocation, startRadarLocation, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, UHFVerifyVoltage, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getInstance

          public static UHFCSYX_qcom getInstance()

    - #### setInventoryMessageMode

          public boolean setInventoryMessageMode()

      Specified by:
        `setInventoryMessageMode` in interface `IUHFCSYX`

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from interface: `IUHF`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUHF`
      Overrides:
        `startInventoryTag` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### stopInventory

          public boolean stopInventory()

      Description copied from interface: `IUHF`
      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Overrides:
        `stopInventory` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### free

          public boolean free()

      Description copied from class: `RFIDWithUHFUART_qcom`
      关闭UHF模块
      Switch off UHF module
      Specified by:
        `free` in interface `IUHF`
      Overrides:
        `free` in class `RFIDWithUHFUART_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### inventorySingleTagResponseInfo

          public UHFCSYX.TagAuthenticationResponseInfo inventorySingleTagResponseInfo()

      Specified by:
        `inventorySingleTagResponseInfo` in interface `IUHFCSYX`

    - #### readAuthenticationTagFromBuffer

          public UHFCSYX.TagAuthenticationResponseInfo readAuthenticationTagFromBuffer(UHFTAGInfo uhftagInfo)

    - #### setInventoryCallback

          public void setInventoryCallback(UHFCSYX.IUHFInventoryCallback inventoryCallback)

      Specified by:
        `setInventoryCallback` in interface `IUHFCSYX`